datablock TSShapeConstructor(SlimeDts)
{
	baseShape  = "./Slime.dts";
	sequence0  = "./sl_root.dsq root";

	sequence1  = "./sl_root.dsq run";
	sequence2  = "./sl_root.dsq walk";
	sequence3  = "./sl_root.dsq back";
	sequence4  = "./sl_root.dsq side";

	sequence5  = "./sl_crouch.dsq crouch";
	sequence6  = "./sl_root.dsq crouchrun";
	sequence7  = "./sl_root.dsq crouchback";
	sequence8  = "./sl_root.dsq crouchside";

	sequence9  = "./sl_root.dsq look";
	sequence10 = "./sl_root.dsq headside";
	sequence11 = "./sl_root.dsq headup";

	sequence12 = "./sl_jump.dsq jump";
	sequence13 = "./sl_jump.dsq standjump";
	sequence14 = "./sl_root.dsq fall";
	sequence15 = "./sl_jump.dsq land";

	sequence16 = "./sl_root.dsq armAttack";
	sequence17 = "./sl_root.dsq armReadyLeft";
	sequence18 = "./sl_root.dsq armReadyRight";
	sequence19 = "./sl_root.dsq armReadyBoth";
	sequence20 = "./sl_root.dsq spearready";  
	sequence21 = "./sl_root.dsq spearThrow";

	sequence22 = "./sl_root.dsq talk";  

	sequence23 = "./sl_death1.dsq death1"; 
	
	sequence24 = "./sl_root.dsq shiftUp";
	sequence25 = "./sl_root.dsq shiftDown";
	sequence26 = "./sl_root.dsq shiftAway";
	sequence27 = "./sl_root.dsq shiftTo";
	sequence28 = "./sl_root.dsq shiftLeft";
	sequence29 = "./sl_root.dsq shiftRight";
	sequence30 = "./sl_root.dsq rotCW";
	sequence31 = "./sl_root.dsq rotCCW";

	sequence32 = "./sl_root.dsq undo";
	sequence33 = "./sl_root.dsq plant";
};    

datablock PlayerData(PlayerMCSlime : PlayerStandardArmor)
{
	shapeFile = "./Slime.dts";
	boundingBox = "15 15 12";
	crouchboundingBox = "4 4 4.5";
	canJet = 0;
	canRide = 0;
	uiName = "MC Slime";
	maxDamage = 360;

   runForce = "8000";
   runEnergyDrain = "0";
   minRunEnergy = "0";
   maxForwardSpeed = "0.1";
   maxBackwardSpeed = "0.1";
   maxSideSpeed = "0.1";
   maxForwardCrouchSpeed = "0";
   maxBackwardCrouchSpeed = "0";
   maxSideCrouchSpeed = "0";
   maxUnderwaterForwardSpeed = "0";
   maxUnderwaterBackwardSpeed = "0";
   maxUnderwaterSideSpeed = "0";
   airControl = "70";
   jumpDelay = "50";
};
